:root{
  --main-font: 'Veteran Typewriter';
  --text-font: 'JMH Typewriter';
  --header-bg: rgba(255, 255, 255, 0.585);
  --menu-wrap-bg: rgba(255, 255, 255, 0.93);
  --fs-200: 1rem;
  --fs-300: 1.3rem;
  --fs-400:1.6rem;
  --fs-500:2.6rem;
  --fs-600: 3.5rem;
  --fs-700: 5rem;
  --fs-800: 7.2rem;
}

@font-face {
  font-family:'Veteran Typewriter';
  src:url('./src/fonts/veteran-typewriter.ttf')
}

@font-face {
  font-family:'JMH Typewriter';
  src:url('./src/fonts/JMH-Typewriter.ttf')
}

.mt-3{
  margin-top: 3rem;
}

body::-webkit-scrollbar {
  -webkit-appearance: none;
  background-color: rgba(128, 128, 128, 0.382);
  width: 15px;
}

body::-webkit-scrollbar-thumb{
  background-color: rgba(0, 0, 0, 0.552);
}

.goup{
  width: 50px;
  height: 50px;
  display: flex;
  cursor: pointer;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  transform: rotate(270deg);
  background-color: rgba(255, 255, 255, 0.801);
  color: black;
  -webkit-user-select: none;
  bottom: 30px;
  right: 42px;
  position: fixed;
  font-size: var(--fs-600);
  font-family: var(--text-font);
}

.goup b{
  position: relative;
  bottom: 1.5px;
}

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}

ol, ul {
	list-style: none;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}

html {
  scroll-behavior: smooth;
  margin: 0;
  padding: 0;
}

a{
  color: black;
  text-decoration: none;
  cursor: pointer;
}

input, textarea{
  outline: none;
  border: none;
  box-sizing: content-box;
  width: 45%;
  padding: 1rem;
  font-size: var(--fs-300);
  caret-color: black;
  caret-shape:underscore;
}

textarea{
  width: 100%;
  height: 200px;
  resize: none;
}

input[type="submit"]{
  background-color: black;
  width: 100%;
  color: white;
  transition: all 200ms;

}

input[type="submit"]:hover{
  transition: all 200ms;
  background-color: #686850;
}

body{
  width: 100vw;
  height: 100vh;
	line-height: 1;
  position: relative;
  background-image: url("./src/img/FONDO_WEB.jpg");
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
  overflow-x: hidden;
}


header, span, .banner, h1, .trabajo h2{font-family: var(--main-font);}
p, input, textarea, .documento a {font-family: var(--text-font);}

header{
  width: 100%;
  height: 90px;
  position: relative;
  font-size: var(--fs-400);
  font-weight: 500;
  background-color: var(--header-bg);
}

nav{
  position: relative;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

nav li ul{
  display: none;
  position: absolute;
  min-width: 140px;
  background-color: var(--menu-wrap-bg);
  margin-top: 2.06rem;
}

nav li ul li{
  position: relative;
}

nav li ul li ul{
  position: absolute;
  display: none;
  background-color: var(--menu-wrap-bg);
  top: -33px;
  right: -269px;
}

nav li ul li ul li{
  font-size: var(--fs-200);
  height: 40px;
  padding: .59rem;
  position: relative;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  width: 280px;
  max-width: 250px;
}

.responsive-menu{
  display: none;
}

.responsive-cerrar, .responsive-atras, .responsive-atras-años{
  display: none;
}

.menu-wrapped-responsive,  .responsive-menu-trabajos{
  display: none;
  text-align: center;
  flex-direction: column;
  visibility: visible;
  justify-content: center;
  align-items: center;
  /* gap: 1.5rem; */
  height: 100%;
  width: 100%;
  transition: all 200ms;
}

.menu{
  position: relative;
  top: -.5px;
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  transition: all 300ms;
}

.menu > li{
  padding: 2rem;

}

.menu > li > a, .menu > li > span, .menu > li > ul > li{
  font-size: var(--fs-300);
}

nav li ul li ul li{
  font-size: var(--fs-200);
}

.menu a:hover{
  text-decoration: underline;

}

.menu-wrap{
  position: relative;
}

.menu-wrap:hover > ul{
  display: block;
}


.menu-wrapped > li{
  height: 30px;
  padding: .4rem 0 1rem 1rem;
}

.menu-wrapped > li{
  padding: .9rem 0 .9rem 1.4rem;
}

nav li :hover > ul{
  display: block;
  }

.menu-wrap--link:hover > ul{
  display: block;
}

.wrapped-escritos > li{
  width: 300px;
  height: 50px;
   display: flex;
  align-items: center;
}

.escritosLink{
  display: block;
  display: flex;
  align-items: center;
}



.banner{
  text-align: center;
  color: white;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 3rem;
  width: 100%;
  height: 600px;
  background-image: url("./src/img/fondo_banner.png");
  background-repeat: no-repeat;
  background-attachment:local;
  background-size: cover;
  background-position: center;
}

.banner h1{
  font-size: var(--fs-800);
  font-weight: 100;
}

.banner-info{
  font-size: var(--fs-400);
}


.sobremi, .contacto, .escrito{
  margin: 7rem 9rem 4rem 9rem;
}

.escrito{
  margin-top: 6rem;
}

.sobremi h1, .contacto h1, .escrito h1, .concursos{
  font-size: var(--fs-600);
}

.año h1{
  font-size: var(--fs-500);
}

.trabajo h2{
  font-size: var(--fs-400);
}

.trabajo p, .trabajo a{
  font-size: var(--fs-300);
}

.escrito h1{
  text-align: center;
}

.escrito b:last-child{
  display: block;
  position: relative;
  right: 0;
  width: 100%;
  text-align: right;
}

.escrito b{
  font-weight: 700;
}

.sobremi p, .escrito p{
  text-align: justify;
  margin-top: 2rem;
  font-size: var(--fs-300);
}


.contacto-seccion{
  display: flex;
  position: relative;
  align-items: flex-end;
  width: 100%;
  height: 100%;
}

.contacto h1{
  text-align: right;
}

.contacto form{
  position: relative;
  width: 60%;
  margin: 4rem 4rem 0 0rem;
  display: flex;
  flex-direction: column;
  gap: 3rem;
}

.input-group{
  width: 100%;
  display: flex;
  justify-content:space-between;
}

.contacto-datos{
  display: flex;
  text-align: center;
  font-size: var(--fs-300);
  flex-direction: column;
  align-items: center;
  gap: 1rem;
  justify-content: flex-end;
  width: 50%;
  height: 100%;
  position: relative;
  bottom: 0;
}

.contacto-datos div{
  justify-content: space-between;

}

.contacto-datos a:hover, footer a:hover {
  text-decoration: underline;
}

.concursos-main{
  margin: 3rem 6rem 3rem 6rem;
}

.concursos{
  text-align: center;
}

.año{
  display: flex;
  flex-direction: column;
  margin-top: 4rem;
  margin-bottom: 4rem;
  gap: 1rem;
}

.trabajo{
  display: flex;
  flex-direction: column;
  gap: 2rem;
}


.documentos{
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
  text-align: center;
  width: 100%;
  justify-content: space-around;
}

.documentos a{
  color: #686850;
}

.documentos a:hover{
  text-decoration: underline;
}


footer{
  padding: 4rem 0 4rem 0;
  font-family: var(--text-font);
  display: flex;
  background-color: var(--header-bg);
  justify-content: space-around;
}


footer ul, .datos, .copy{
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  gap: .7rem;
  font-size: var(--fs-200);
}

.copy{
  align-items: center;
  gap: 3rem;
}

.copy h1{
  font-size: var(--fs-700);
}




@media (max-width: 1550px){
  :root{
    --fs-200: 1rem;
    --fs-300: 1.3rem;
    --fs-400:1.3rem;
    --fs-600: 3.5rem;
    --fs-700: 5rem;
    --fs-800: 6.2rem;
  }
  
  header, .menu{
    height:70px;
  }


  nav li ul{
    margin-top: 1.61rem;
  }

  nav li ul li ul{
    top: -26px;
  }

  .banner{
    height: 500px;
  }

  input{
    width: 100%;
  }
  .input-group{
    flex-direction: column;
    height: 150px;
    width: 100%;
  }

  .sobremi, .contacto, .escrito{
    margin: 7rem 5rem 4rem 5rem;
  }

  .wrapped-escritos > li{
    width: 220px;
    height: 35px;
  }
  
}


@media (max-width: 1150px){
  :root{
    --fs-200: 1rem;
    --fs-300: 1.1rem;
    --fs-400:1.2rem;
    --fs-500: 2.4rem;
    --fs-600: 3.1rem;
    --fs-700: 4.5rem;
    --fs-800: 5.6rem;
  }

  header, .menu{
    height:70px;
  }


  nav li ul{
    margin-top: 1.61rem;
  }

  nav li ul li ul{
    top: -25px;
  }


  
  .banner{
    height: 400px;
  }

  input,textarea{
    box-sizing: border-box;
  }

  input{
    width: 46%;
  }

  .input-group:first-child{
    flex-direction: row;
    height: 60px;
  }

  .contacto-seccion{
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 2rem;
  }

  .contacto-datos{
    width: 100%;
  }

  .contacto form{
    margin: 4rem 0 1rem 0;
    width: 90%;
    height: 370px;
    gap: 2rem;
  }

  footer{
    padding: 4rem 2rem 4rem 2rem;
  }

  .concursos-main{
    margin: 2rem 4rem 2rem 4rem;
  }

  .wrapped-escritos > li{
    width: 190px;
    height: 35px;
  }
  
}


@media(max-width: 900px){
  :root{
    --fs-200: 1rem;
    --fs-300: 1.1rem;
    --fs-400:1.2rem;
    --fs-500: 1.9rem;
    --fs-600: 2.7rem;
    --fs-700: 3.5rem;
    --fs-800: 4.6rem;
  }

  
  .banner{
    height: 300px;
  }
  
  input{
    height: 50px;
  }
  .input-group{
    flex-direction: column;
    width: 100%;
  }

  .sobremi, .contacto, .escrito{
    margin: 4rem 3rem 4rem 3rem;
  }
  
  .datos{
    display: none;
  }

  .concursos-main{
    margin: 2rem 2rem 2rem 2rem;
  }

  .goup{
    height: 40px;
    width: 40px;
    right: 25px;
    bottom: 20px;
  }

  .wrapped-escritos > li{
    width: 190px;
    height: 55px;
  }
}

@media(max-width:660px){

  :root{
    --fs-200: .7rem;
    --fs-300: .85rem;
    --fs-400: .9rem;
    --fs-500: 1.3rem;
    --fs-600: 1.7rem;
    --fs-700: 2.5rem;
    --fs-800: 3.6rem;
  }

  .banner{
    height: 220px;
    gap: .65rem;
  }

  header{
    height: 60px;
  }

  nav li :hover > ul{
    display: none;
  }

  .menu-wrap--link:hover > ul{
    display: none;
  }
   
  .menu-wrap:hover > ul{
    display: none;
  }
  

  nav{
    position: absolute;
    height: 100vh;
    width: 100%;
    left: -900px;
    background-color: rgb(255, 255, 255);
    transition: all 300ms;
    background-image: url("./src/img/FONDO_WEB.jpg");
    background-size: contain;
  }

  .responsive-menu{
    display: block;
    display: inline-block;
    position: relative;
    padding: 1.41rem;
    cursor: pointer;
  }

  .responsive-cerrar, .responsive-atras, .responsive-atras-años{
    font-size: var(--fs-600);
    display: inline-block;
    position: absolute;
    cursor: pointer;
    align-self: flex-start;
    top: 20px;
    left: 32px;
  }

  .responsive-atras, .responsive-atras-años{
    font-size: var(--fs-700);
  }

  .responsive-menu:hover{
    color: #686850;
  }

  .menu{
    height: 50%;
    flex-direction: column;
    margin-bottom: 1rem;
  }

  .menu li{
    padding: 1rem;
  }

  .input-group:first-child{
    flex-direction: column;
    gap: 1rem;
    height: 100px;
  }

  input, textarea{
    width: 100%;
    padding: .7rem;
  }

  .contacto form{
    margin-top: 2rem;
    gap: 1rem;
  }

  .contacto-seccion{
    gap: .7rem;
  }

  .sobremi, .contacto, .escrito{
    margin: 2rem 1.5rem 4rem 1.5rem;
  }

  .año{
    margin-top: 1rem;
  }

  .concursos-main{
    margin: rem 1.5rem 1rem 1.5rem;
  }

  .goup{
    height: 30px;
    width: 30px;
    right: 25px;
    bottom: 20px;
  }

  
  .wrapped-escritos > li{
    justify-content: center;
    text-align: center;
    width: 190px;
    height: 55px;
    padding-right: 22.4px;
  }

}





@media (min-width: 2000px){
  :root{
    --fs-200: 1.4rem;
    --fs-300: 1.8rem;
    --fs-400:2rem;

    --fs-500: 4rem;
    --fs-600: 5.5rem;
    --fs-700: 8rem;
    --fs-800: 10rem;
  }

  header, .menu, nav{
    height:90px;
  }



  nav li ul{
    min-width: 200px;
    margin-top: 1.9rem;
  }

  nav li ul li ul{
    top: -31px;
    right: -400px;
  }

  nav li ul li ul li{
    width: 380px;
    max-width: 500px;

  }

  .banner{
    height: 900px;
  }

  .contacto-seccion{
    padding-bottom: 8rem;
  }

  input{
    padding: 1.3rem;
  }

  textarea{
    height: 340px;    
  }


  footer{
    padding: 7rem 0 7rem 0;
  }

  footer ul, .datos, .copy{
    font-size: var(--fs-300);
  }

  .concursos-main{
    margin: 4rem 10rem;
  }

  hr{
    height: 10px;
  }
  
  
}
